{
    "compilerOptions": {
        "forceConsistentCasingInFileNames": true,
        "declarationDir": "lib/typescript",
        "noFallthroughCasesInSwitch": true,
        "noUncheckedIndexedAccess": true,
        "noStrictGenericChecks": false,
        "allowUnreachableCode": false,
        "moduleResolution": "bundler",
        "customConditions": [
            "react-native-strict-api"
        ],
        "verbatimModuleSyntax": true,
        "noImplicitUseStrict": false,
        "noUnusedParameters": true,
        "allowUnusedLabels": false,
        "noImplicitReturns": true,
        "resolveJsonModule": true,
        "esModuleInterop": true,
        "noUnusedLocals": true,
        "paths": {
            "ncore-ui-kit": [
                "./src/index"
            ]
        },
        "skipLibCheck": true,
        "declaration": true,
        "target": "ESNext",
        "module": "ESNext",
        "jsx": "react-jsx",
        "composite": true,
        "noEmit": false,
        "outDir": "lib",
        "rootDir": ".",
        "strict": true,
        "lib": [
            "ESNext",
            "dom"
        ],
        "types": [
            "node"
        ]
    },
    "include": [
        "src/**/*.json",
        "package.json",
        "src/**/*"
    ],
    "exclude": [
        "node_modules",
        "version.mjs",
        "**/dist",
        "lib"
    ]
}
